<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2005 Marc "Waccoon" Leveille, http://www.NineChime.com/Wacintosh.htm
Version 1.2.0 - Last modified 4/20/2005
*/


/*
NOTES:
	if (image_jpeg == true):
	Compress level of 1-2 is archival, 4 starts showing artifacts.  3-4 recommended.  0 not recommended due to lossless JPEG (use PNG instead).  Anything over 10 not recommended except for thumbnails.  Max value may be 100 if you hate your artists.  :)

	if (image_jpeg == false):
	ShiPainter employs lossy PNG, and will *completely destroy* quality if you're not careful!  Level should be 0 if image_jpeg is false.  Anything higher than 5 will ruin airbrushing and gradients.
*/


// Load bootstrap
$OekakiU    = $_COOKIE['OekakiU'];
$OekakiPass = $_COOKIE['OekakiPass'];
define ('BOOT', 1);
require ('boot.php');

// Input
$xcord  = (int) $_GET['xcord'];
$ycord  = (int) $_GET['ycord'];
$anim   = (int) $_GET['anim'];
$edit   = (int) $_GET['edit'];
$tools  = $_GET['tools'];
$cursor = $_GET['cursor'];

if ($tools != 'normal' && $tools != 'pro') {
	$tools = 'normal';
}
if ($tools == 'pro') {
	$datatype = 3;
} else {
	$datatype = 2;
}


// Bug in Mac version of Java requires hard-coded values, rather than CSS.  >:(
// Typical viewable width of 800x600 browser
	$xhack = '740';
// Typical height
	$yhack = '550';


// Check Draw access
if (!$flags['D']) {
	report_err('You do not have draw access. Login to draw, or ask an administrator for details about receiving access.');
}

// Check anim access
if (!$flags['M']) {
	$anim = 0;
}


if ($edit) {
	$result = mysql_query ("SELECT PIC_ID, usrname, ptype FROM {$OekakiPoteto_Prefix}oekakidta WHERE PIC_ID='$edit'");
	$row = mysql_fetch_array ($result);
	if ($row['usrname'] != $OekakiU) {
		$result2 = mysql_query ("SELECT PIC_ID, usrname, ptype FROM ".$OekakiPoteto_Prefix."oekakidta WHERE usrname='$OekakiU'");
		$row = mysql_fetch_array ($result2);
		$edit = (int) $row['PIC_ID'];
	}
	$size = GetImageSize ($p_pic.$row['PIC_ID'].'.'.$row['ptype']);
	$xcord = $size[0];
	$ycord = $size[1];
}

//Verify that canvas sizes fit min/max
if ($xcord > $cfg['canvas_x']) {
	$xcord = $cfg['canvas_x'];
}
if ($ycord > $cfg['canvas_y']) {
	$ycord = $cfg['canvas_y'];
}

mysql_close ($dbconn);



/* START HTML */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><?=$cfg['op_title']?></title>
	<meta http-equiv="content-type" content="text/html; charset=<?=$charset?>">
	<meta http-equiv="content-language" content="<?=$metatag_language?>">

	<link rel="stylesheet" type="text/css" href="<?=$cssinclude?>" title="<?=$template_name?>">

	<script language="JavaScript" type="text/javascript" src="Poteto.js">
	</script>
</head>

<body>


<div style="text-align: center;">
	<applet id="shibbs"
		code="c.ShiPainter.class"
		archive="spainter_all.jar"
		width="<?=$xhack?>"
		height="<?=$yhack?>"
		mayscript>

		<param name="image_width" value="<?=$xcord?>" />
		<param name="image_height" value="<?=$ycord?>" />

		<param name="dir_resource" value="./shipainter" />
		<param name="tt.zip" value="tt_def.zip" />
		<param name="res.zip" value="res.zip" />
		<param name="tools" value="<?=$tools?>" />
		<param name="layer_count" value="5" />
		<param name="MAYSCRIPT" value="true" />
		<param name="scriptable" value="true" />
<? if ($cursor) { echo "		<param name=\"cursor_1\" value=\"$cursor.gif\" />\n"; } ?>

<?
// See notes above about compress_level
// APPLET_NO_JPEG is in hacks.php
$image_jpeg_value = (APPLET_NO_JPEG != 0) ? 'false' : 'true';
$image_compress = (APPLET_NO_JPEG != 0) ? '0' : '4';
$image_size_value = applet_image_size_param($xcord, $ycord);
?>
		<param name="image_jpeg" value="<?=$image_jpeg_value?>" />
		<param name="image_size" value="<?=$image_size_value?>" />
		<param name="compress_level" value="<?=$image_compress?>" />

		<param name="undo" value="90" />
		<param name="undo_in_mg" value="15" />

<? if ($edit && $anim) { ?>
		<!-- Edit, Anim -->
		<param name="image_canvas" value="<?= $p_pic.$edit.'.'.$row['ptype']; ?>" />
		<param name="pch_file" value="<?= $p_pic.$edit.'.pch'; ?>" />
		<param name="url_save" value="shiget.php?mode=edit&edit=<?=$edit?>&edittimes=<?= time() ?>&usr=<?= urlencode($OekakiU) ?>&vcode=<?= urlencode($OekakiPass) ?>&datatype=<?=$datatype?>" />
		<param name="url_exit" value="index.php" />
		<param name="thumbnail_type" value="animation" />
<? } ?>
<? if ($edit && !$anim) { ?>
		<!-- Edit, /Anim -->
		<param name="image_canvas" value="<?= $p_pic.$edit.'.'.$row['ptype']; ?>" />
		<param name="url_save" value="shiget.php?mode=edit&edit=<?=$edit?>&edittimes=<?= time() ?>&usr=<?= urlencode($OekakiU) ?>&vcode=<?= urlencode($OekakiPass) ?>&datatype=<?=$datatype?>" />
		<param name="url_exit" value="index.php" />
<? } ?>
<? if (!$edit && $anim) { ?>
		<!-- /Edit, Anim -->
		<param name="url_save" value="shiget.php?mode=anim&edittimes=<?= time() ?>&usr=<?= urlencode($OekakiU) ?>&vcode=<?= urlencode($OekakiPass) ?>&datatype=<?=$datatype?>" />
		<param name="url_exit" value="index.php?mode=res_msg" />
		<param name="thumbnail_type" value="animation" />
<? } ?>
<? if (!$edit && !$anim) { ?>
		<!-- /Edit, /Anim -->
		<param name="url_save" value="shiget.php?mode=norm&edittimes=<?= time() ?>&usr=<?= urlencode($OekakiU) ?>&vcode=<?= urlencode($OekakiPass) ?>&datatype=<?=$datatype?>" />
		<param name="url_exit" value="index.php?mode=res_msg" />
<? } ?>
		<param name="url_target" value="_self" />

		<param name="color_text" value="#000000" />
		<param name="color_bk" value="#aeaed9" />
		<param name="color_bk2" value="#a3a3cc" />
		<param name="color_icon" value="#ccccff" />

		<param name="poo" value="false" />
		<param name="send_header" value="" />
		<param name="send_header_image_type" value="false" />

		<param name="send_advance" value="true" />
		<param name="send_language" value="utf8" />
	</applet>
</div>

<p style="text-align: center;">
	<input onclick="maximize_app('shibbs');" type="button" value="Resize ShiPainter to fit window" class="submit" />
</p>


<!-- Controls -->
<div class="pheader">
	Applet Controls
</div>

<table class="pinfotable" style="width: 100%; text-align: center;">
	<tr>
	<td style="width: 50%;">
		<p>
			<strong>Please note:</strong>
		</p>
		<ul>
			<li>Any canvas size change will destroy your current picture!</li>
			<li>You cannot resize your canvas when retouching an older picture.</li>
			<li>You may need to refresh the window to start retouching.</li>
			<li>Use the <strong>PRINT SCRN</strong> key regularly! &nbsp;<code>;)</code></li>
		</ul>
	</td>

<? if (!$edit) { ?>
	<td style="width: 50%;">
		<form name="form1" method="get" action="shiBBS.php">
			<p>
				<?=$langop_applet_modify?>
				( <?=$langop_applet_max?> <?=$cfg['canvas_x']?> &times; <?=$cfg['canvas_y']?> )
			</p>

			<p>
				X: <input type="text" name="xcord" value="<?=$xcord?>" class="ptxtinput" /><br />
				Y: <input type="text" name="ycord" value="<?=$ycord?>" class="ptxtinput" /><br />
			</p>

			<input name="tools" type="hidden" value="<?=$tools?>" />
			<input name="cursor" type="hidden" value="<?=$cursor?>" />
<? if ($anim) { ?>
			<input name="anim" type="hidden" value="<?=$anim?>" />
<? } ?>
			<input type="submit" name="Submit" value="Modify" class="submit" />
		</form>
	</td>
<? } ?>
	</tr>
</table>
<br />


<!-- Info -->
<div class="pheader">
	Java Information
</div>

<div class="pinfotable">
	<p style="text-align: center; padding: 0 20% 0 20%;">
		If you're having trouble with the applet, try downloading the latest version of Java from <a href="http://www.Java.com">www.Java.com</a>.  Older versions of Windows are based on the Microsoft Virtual Machine (a Java clone), and may not work very well.
	</p>
</div>
<br />


</body>
</html>